Skip to main content
POST
/
management
/
configurations
/
payments
curl -X POST "https://api.cryptomate.me/management/configurations/payments" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "blockchain": "polygon",
    "payment_deposit_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "fee_deposit_address": "0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063"
  }'
Creates a new payment destination configuration or updates an existing one for a blockchain network. Requires an API key with access level 3 or higher.

Body

blockchain
string
required
Blockchain network identifier.
payment_deposit_address
string
required
Blockchain address for payment deposits.
fee_deposit_address
string
required
Blockchain address for fee deposits.
curl -X POST "https://api.cryptomate.me/management/configurations/payments" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "blockchain": "polygon",
    "payment_deposit_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "fee_deposit_address": "0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063"
  }'